DynamicJava Javadoc: Class SimpleAllocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class SimpleAllocation

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Allocation
                              |
                              +--koala.dynamicjava.tree.SimpleAllocation

All Implemented Interfaces:
  ExpressionStatement

public class SimpleAllocation
extends Allocation
implements ExpressionStatement

This class represents the allocation nodes of the syntax tree

Field Summary
`static java.lang.String` | `ARGUMENTS` The arguments property name

Fields inherited from class koala.dynamicjava.tree.Allocation
`CREATION_TYPE`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`SimpleAllocation(Type tp, java.util.List args)` Initializes the expression
`SimpleAllocation(Type tp, java.util.List args, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getArguments()` Returns the constructor arguments
`void` | `setArguments(java.util.List l)` Sets the constructor arguments.

Methods inherited from class koala.dynamicjava.tree.Allocation
`getCreationType, setCreationType`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARGUMENTS

    public static final java.lang.String ARGUMENTS

  The arguments property name

Constructor Detail

### SimpleAllocation

    public SimpleAllocation(Type tp,
                            java.util.List args)

  Initializes the expression
  Parameters:
    `tp` - the type prefix
    `args` - the arguments of the constructor
  Throws:
    `java.lang.IllegalArgumentException` - if tp is null

### SimpleAllocation

    public SimpleAllocation(Type tp,
                            java.util.List args,
                            java.lang.String fn,
                            int bl,
                            int bc,
                            int el,
                            int ec)

  Initializes the expression
  Parameters:
    `tp` - the type prefix
    `args` - the arguments of the constructor
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if tp is null

Method Detail

### getArguments

    public java.util.List getArguments()

  Returns the constructor arguments

### setArguments

    public void setArguments(java.util.List l)

  Sets the constructor arguments.

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.